# Interface methods for submodule: HistogramMatchingImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: HistogramMatchingImageFilter
class HistogramMatchingImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSourceImage(self, _arg) -> None:
		""""""
		...

	def GetSourceImage(self):
		""""""
		...

	def SetReferenceImage(self, _arg) -> None:
		""""""
		...

	def GetReferenceImage(self):
		""""""
		...

	def SetReferenceHistogram(self, _arg) -> None:
		""""""
		...

	def GetReferenceHistogram(self):
		""""""
		...

	def SetNumberOfHistogramLevels(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfHistogramLevels(self) -> int:
		""""""
		...

	def SetNumberOfMatchPoints(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfMatchPoints(self) -> int:
		""""""
		...

	def SetThresholdAtMeanIntensity(self, _arg: bool) -> None:
		""""""
		...

	def GetThresholdAtMeanIntensity(self) -> bool:
		""""""
		...

	def ThresholdAtMeanIntensityOn(self) -> None:
		""""""
		...

	def ThresholdAtMeanIntensityOff(self) -> None:
		""""""
		...

	def SetGenerateReferenceHistogramFromImage(self, _arg: bool) -> None:
		""""""
		...

	def GetGenerateReferenceHistogramFromImage(self) -> bool:
		""""""
		...

	def GenerateReferenceHistogramFromImageOn(self) -> None:
		""""""
		...

	def GenerateReferenceHistogramFromImageOff(self) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	def GetModifiableSourceHistogram(self):
		""""""
		...

	def GetSourceHistogram(self):
		""""""
		...

	def GetModifiableOutputHistogram(self):
		""""""
		...

	def GetOutputHistogram(self):
		""""""
		...

